<?php
$ctrSettings['connection_valid'] = $ctrHelpers->check_api_connection();
$stageMedia = [];
$stageContent = [];
$vehicleName = $data['stages']['vehicle']['brand']['name'] . ' ' . $data['stages']['vehicle']['serie']['name'] . ' (' . $data['stages']['vehicle']['build']['name'] . ') ' . $data['stages']['vehicle']['engine']['name'] . ' ' . $ctrHelpers->translate_fuel_type('lbl_fuel_' . $data['stages']['vehicle']['engine']['fuel_type'], $ctrSettings['display_lang']);

// Check if a custom template exists in the theme folder, if not, load the plugin template file
if (file_exists(get_stylesheet_directory() . '/chiptuningreseller/stages.php')) {
	require(get_stylesheet_directory() . '/chiptuningreseller/stages.php');
}
$title = $customTitle ?? __("Request a quote for", 'ctr') .  ' ' . $vehicleName;
$subTitle = $customSubTitle ?? __("Chiptuning for", 'ctr') . ' ' . $vehicleName;
$standardText = $customStandardText ?? esc_html__("Standard", 'ctr');
$stageText = $customStageText ?? esc_html__("Stage", 'ctr');
$differenceLabel = $customDifferenceLabel ?? __("Difference", 'ctr');
$shortPowerLabel = $customShortPowerLabel ?? esc_html__('HP', 'ctr');
$powerLabel = $customPowerLabel ?? esc_html__('Power (HP)', 'ctr');
$torqueLabel = $customTorqueLabel ?? esc_html__('Torque (Nm)', 'ctr');
$shortTorqueLabel = $customShortTorqueLabel ?? esc_html__('Nm', 'ctr');
$kilowattLabel = $customKilowattLabel ?? esc_html__("Kilowatt (KW)", 'ctr');
$shortKilowattLabel = $customShortKilowattLabel ?? esc_html__("KW", 'ctr');
$originalPowerLabel = $customOriginalPowerLabel ?? __('Original power (HP)', 'ctr');
$originalTorqueLabel = $customOriginalTorqueLabel ?? __('Original torque (Nm)', 'ctr');
?>
<div class="w-100 text-justify text-center ">
	
</div>
<div class="w-100 ">
<a href="<?php echo $data['backUrl']; ?>" onclick=""><< Back to <?php echo $data['stages']['vehicle']['brand']['name'] . ' ' . $data['stages']['vehicle']['serie']['name'] . ' (' . $data['stages']['vehicle']['build']['name'] . ') '; ?></a>
</div>
<div class="row horSpaceRow">
	<!-- Space row -->
</div>
<div class="row">
	<div class="col-sm-5 text-center imageCenterBlock">
    <h2><?php _e($title); ?></h2><hr/>
		<?php
		if (isset($data['stages']['vehicle']['serie'])) {
			$serie = $data['stages']['vehicle']['serie'];
			if ((isset($serie['media'])) && (count($serie['media']) > 0)) {
				echo '<img class="serieImage rounded mx-auto" src="' . $ctrMedia->get_model_media('series', $serie['id'], 'medium') . '" alt="' . $vehicleName . '" title="' . $vehicleName . '">';
			} else {
					$masterImage = $ctrMedia->get_model_media('series', $serie['id'], 'medium');
					if($masterImage) {
						echo '<img class="serieImage rounded mx-auto" src="' . $masterImage . '" alt="' . $vehicleName . '" title="' . $vehicleName . '">';
					} elseif(!$masterImage) {
						$noImage = $ASSETS_URL . $data['vehicle_type'] . '_placeholder.png';
						echo '<img class="stageNoImage rounded mx-auto d-block" src="' . $noImage . '" alt="' . $vehicleName . '" title="' . $vehicleName . '">';
				}
			}
		}
        ?>
        </div>
        <div role="main" class=" col-sm-4">
        <h2><?php _e($title); ?></h2><hr/>
            <ul class="form-section page-section">
            <li class="form-line" data-type="control_textbox" id="id_1">
                <label class="form-label form-label-top form-label-auto" id="lbl_name" for="lbl_name"> Name </label>
                <div id="cid_1" class="form-input-wide">
                <input type="text" id="lbl_name" name="q1_name" data-type="input-textbox" class="form-textbox" size="30" value="" data-component="textbox" aria-labelledby="lbl_name">
                </div>
            </li>
            <li class="form-line" id="id_2">
                <label class="form-label form-label-top form-label-auto" id="label_8" for="input_8">
                Select tuning method
                <span class="form-required">
                    *
                </span>
                </label>
                <div id="cid_8" class="form-input-wide jf-required">
                    <select name="tuning_type" name="tuning_type" class="input" required>
                        <option>-- Select stage --</option>
                        <option name="stage_1" value="stage_1">Stage 1</option>
                        <option name="stage_2" value="stage_2">Stage 2</option>
                        <option name="stage_3" value="stage_3">Stage 3</option>
                        <option name="dpf" value="dpf">DPF</option>
                        <option>Something else, please add in comment</option>
                    </select>
                </div>
            </li>
            <li class="form-line jf-required" data-type="control_textbox" id="id_8">
                <label class="form-label form-label-top form-label-auto" id="label_8" for="input_8">
                Email
                <span class="form-required">
                    *
                </span>
                </label>
                <div id="cid_8" class="form-input-wide jf-required">
                <input type="text" id="input_8" name="q8_email" data-type="input-textbox" class="form-textbox validate[required, Email]" size="20" value="" data-component="textbox" aria-labelledby="label_8" required="">
                </div>
            </li>
            <li class="form-line" data-type="control_textbox" id="id_5">
                <label class="form-label form-label-top form-label-auto" id="label_5" for="input_5"> Phone </label>
                <div id="cid_5" class="form-input-wide">
                <input type="text" id="input_5" name="q5_phone" data-type="input-textbox" class="form-textbox" size="30" value="" data-component="textbox" aria-labelledby="label_5">
                </div>
            </li>
            <li class="form-line" data-type="control_textarea" id="id_9">
                <label class="form-label form-label-top form-label-auto" id="label_9" for="input_9"> Message </label>
                <div id="cid_9" class="form-input-wide">
                <textarea id="input_9" class="form-textarea" name="q9_message" cols="40" rows="6" data-component="textarea" aria-labelledby="label_9"></textarea>
                </div>
            </li>
            <li class="form-line" data-type="control_button" id="id_2">
                <div id="cid_2" class="form-input-wide">
                <div style="text-align:left" class="form-buttons-wrapper ">
                    <button id="input_2" type="submit" class="form-submit-button" data-component="button" data-content="">
                    Submit Form
                    </button>
                </div>
                </div>
            </li>
            </ul>
  </div>
	</div>