<div class="table-responsive">
<table class="stageNiceTable table">
    <tbody>
        <!--- Standard values --->
        <tr class="highlightRow">
        <th>&nbsp;</th>
        <th>
            <div class="shadow highlight" style="z-index:1;">
                {{ $lblStandardText }}
            </div>
        </th>
        <th class="whiteText stageName">
            <div class="shadow stage-color highlight text-nowrap stageNameText" style="z-index:1;">
                {{ $lblStageText }} 1</div>
        </th>
        <th class=" white-text">
            <div class="shadow difference-color highlight" style="z-index:1;">{{ $lblDifference }}</div>
        </th>
        </tr>
        <!--- Run through the stages and render them in the table rows --->
        @foreach($dataStages as $stageItem)
        @if(!$stageItem['in_development'])
            @if(is_array($stageItem['data']) && $stageItem['show'])
            @if(isset($stageItem['data']['lc_rpm_ori']))
            @if(isset($stageItem['data']['lc_rpm_stage_1']))
            <tr class="stageTableRow {{ $stageItem['name'] }} {{ $stageItem['hideCss'] }}">
                <td alt="Launch Control Stage 1" title="Launch Control Stage 1">LC Stage 1</td>
                <td class="ctrStageStandard">{{ $stageItem['data']['lc_rpm_ori'] }}</td>
                <td class="site-color-text stageValue">{{ $stageItem['data']['lc_rpm_stage_1'] }}</td>
                <td class="increaseValue">+{{ round($stageItem['data']['lc_rpm_stage_1']) - round($stageItem['data']['lc_rpm_ori']) }} RPM <span class="ctrIcon--increase"></span></td>
            </tr>
            @endif
            @if(isset($stageItem['data']['lc_rpm_stage_2']))
                <tr class="stageTableRow {{ $stageItem['name'] }} {{ $stageItem['hideCss'] }}">
                    <td alt="Launch Control Stage 2" title="Launch Control Stage 2">LC Stage 2</td>
                    <td class="ctrStageStandard">{{ $stageItem['data']['lc_rpm_ori'] }}</td>
                    <td class="site-color-text stageValue">{{ $stageItem['data']['lc_rpm_stage_2'] }}</td>
                    <td class="increaseValue">+{{ round($stageItem['data']['lc_rpm_stage_2']) - round($stageItem['data']['lc_rpm_ori']) }} RPM <span class="ctrIcon--increase"></span></td>
                </tr>
            @endif
            @if(isset($stageItem['data']['lc_rpm_stage_3']))
                <tr class="stageTableRow {{ $stageItem['name'] }} {{ $stageItem['hideCss'] }}">
                    <td alt="Launch Control Stage 3" title="Launch Control Stage 3">LC Stage 3</td>
                    <td class="ctrStageStandard">{{ $stageItem['data']['lc_rpm_ori'] }}</td>
                    <td class="site-color-text stageValue">{{ $stageItem['data']['lc_rpm_stage_3'] }}</td>
                    <td class="increaseValue">+{{ round($stageItem['data']['lc_rpm_stage_3']) - round($stageItem['data']['lc_rpm_ori']) }} RPM <span class="ctrIcon--increase"></span></td>
                </tr>
            @endif
            @else
            <tr class="stageTableRow {{ $stageItem['name'] }} {{ $stageItem['hideCss'] }}">
                <td class="site-color-text text-left">{{ $lblPower }}</td>
                <td class="ctrStageStandard">{{ $stageItem['data']['hp_ori'] }}</td>
                <td class="site-color-text stageValue">
                    <strong>
                        @if($stageItem['data']['hp_tuning'] > 0)
                            {{ $stageItem['data']['hp_tuning'] }}
                        @else
                        '-'
                        @endif
                    </strong>
                </td>
                <td class="increaseValue">
                    @if((isset($stageItem['data']['hp_tuning'])) && ($stageItem['data']['hp_tuning'] > 0))
                    + {{ $stageItem['data']['hp_tuning'] -  $stageItem['data']['hp_ori'] }}
                    @else
                    '-'
                    @endif
                    {{ $lblPowerShort }}
                    <span class="increasePercentage">(+{{ $stageItem['hp_percentage_increase'] }}%)<span class="ctrIcon--increase"></span></span>
                </td>
            </tr>
            <tr class="stageTableRow {{ $stageItem['name'] }}  {{ $stageItem['hideCss'] }}">
                <td class="site-color-text text-left">{{ $lblTorque }}</td>
                <td class="ctrStageStandard">{{ $stageItem['data']['nm_ori'] }}</td>
                <td class="site-color-text stageValue">
                    <strong>
                        @if($stageItem['data']['nm_tuning'] > 0)
                        {{ $stageItem['data']['nm_tuning'] }}
                        @else
                        '-'
                        @endif
                    </strong>
                </td>
                <td class="increaseValue">
                    @if($stageItem['data']['nm_tuning'] > 0)
                    + {{ $stageItem['data']['nm_tuning'] - $stageItem['data']['nm_ori'] }}
                    @else
                    '-'
                    @endif
                    {{ $lblTorqueShort }}
                    <span class="increasePercentage">(+ {{ $stageItem['nm_percentage_increase'] }}%)<span class="ctrIcon--increase"></span></span>
                </td>
            </tr>
            <tr class="stageTableRow {{ $stageItem['name'] }} {{ $stageItem['hideCss'] }}">
                <td class="site-color-text text-left">{{ $lblKilowatt }}</td>
                <td class="ctrStageStandard">{{ round($stageItem['data']['hp_ori'] * 0.745699872) }}</td>
                <td class="site-color-text stageValue">
                    <strong><?php echo $stageItem['data']['hp_tuning'] > 0 ? round($stageItem['data']['hp_tuning'] * 0.745699872) : '-'; ?></strong>
                </td>
                <td class="increaseValue">
                    +
                    <?php echo $stageItem['data']['hp_tuning'] > 0 ? round($stageItem['data']['hp_tuning'] * 0.745699872) - round($stageItem['data']['hp_ori'] * 0.745699872) : '-'; ?>
                    {{ $lblShortKilowatt }}
                    <span class="increasePercentage">(+ {{ $stageItem['hp_percentage_increase'] }}%)<span class="ctrIcon--increase"></span></span>
                </td>
            </tr>
            @endif
            @if($showPrices)
            <tr class="stageTableRow {{ $stageItem['name'] }}  {{ $stageItem['hideCss'] }}">
                <td class="site-color-text text-left">{{ $lblPrice }}</td>
                <td></td>
                <td class="site-color-text stageValue">
                    <nobr>
                        <span class="ctrStageValuePrice">
                        @if((isset($stageItem['price'])) && ($stageItem['price'] > 0))
                        {{ $lblCurrency }} {{ $stageItem['price'] }}
                        @else
                        {{ $lblAskForPrice }}
                        @endif
                        </span>
                </td>
                <td></td>
            </tr>
            @endif
        @else
        @endif
        @else
        <tr class="inDevelopment stageTableRow {{ $stageItem['name'] }}  {{ $stageItem['hideCss'] }}">
            <td colspan="4" align="center" class="inDevelopmentBlock">
                <br /><br />{{ $lblInDevelopment }}<br /><br />
            </td>
        </tr>
        @endif
        @endforeach
    </tbody>
</table>
</div>